Skip to main content

private/get-order-detail

POST 

/private/get-order-detail

Gets detail of a single order by order_id or client_oid.

Request

Body

required
    id int64required

    Request id (echoed in response)

    method stringrequired

    Must be "private/get-order-detail"

    api_key stringrequired

    Your API key (only required for private REST)

    sig stringrequired

    HMAC-SHA256 signature in hex (only required for private REST)

    nonce int64required

    Current timestamp in milliseconds, e.g. "1771761038000".

    params objectrequired
    order_id int64

    Order ID. string format is highly recommended, especially for JavaScript client. If not provided, client_oid must be specified.

    client_oid string

    Client Order ID. If not provided, order_id must be specified.

Success.
Schema
    id int64

    Echoed request id

    method string

    Method invoked

    code int32

    0 = success; non-zero indicates error (reason code).

    result object
    Order object shared by get-order-detail, get-open-orders, get-order-history and advanced variants. reason optional (detail/history). leg_id, ref_price, ref_price_type optional (advanced OTO/OTOCO only).
    account_id string

    Account ID.

    order_id int64

    Order ID.

    client_oid string

    Client Order ID.

    order_type string

    Possible values: [LIMIT, MARKET, STOP, STOP_LIMIT]

    Order type:

    • ➖ LIMIT, MARKET
    • ➖ STOP, STOP_LIMIT: Trigger orders
    time_in_force TimeInForce (string)

    Possible values: [IMMEDIATE_OR_CANCEL]

    Time in force. Only IMMEDIATE_OR_CANCEL (IOC) is accepted for Combo orders.

    side OrderSide (string)

    Possible values: [BUY, SELL]

    BUY or SELL

    exec_inst ExecInstOrderDetail (string)[]

    Possible values: [POST_ONLY, REDUCE_ONLY, SMART_POST_ONLY]

    Execution instructions.

    quantity decimal

    Quantity specified in the order.

    limit_price decimal

    Limit price specified in the order.

    order_value decimal

    Order value.

    avg_price decimal

    Average price.

    cumulative_quantity decimal

    Cumulative executed quantity.

    cumulative_value decimal

    Cumulative executed value.

    cumulative_fee decimal

    Cumulative executed fee.

    status OrderStatus (string)

    Possible values: [PENDING, NEW, ACTIVE, FILLED, CANCELED, REJECTED, EXPIRED]

    Order status

    update_user_id string

    Updated user.

    order_date string

    Order creation date.

    instrument_name string

    E.g. BTCUSD-PERP.

    fee_instrument_name string

    Currency used for the fees.

    create_time int64

    Order creation timestamp (ms), e.g. "1771761038000".

    create_time_ns int64

    Order creation timestamp (nanosecond), e.g. "1771761038000000000".

    update_time int64

    Order update timestamp (ms), e.g. "1771761038000".

    reason string

    Rejection reason code; present for get-order-detail and get-order-history.

    ref_price decimal

    Trigger reference price (trigger legs only).

    ref_price_type string

    Possible values: [MARK_PRICE, INDEX_PRICE, LAST_PRICE]

    Price source used for ref_price: MARK_PRICE, INDEX_PRICE, or LAST_PRICE (trigger legs only).

    transaction_time_ns int64

    Transaction timestamp in nanoseconds.

    message string

    Response message. Contains additional reason when code !== 0.

    original string

    Present when code !== 0.